2019-08-19 16:16 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0006269Spring engineGeneralpublic2019-08-04 02:19
ReporterGoogle_Frog 
Assigned ToKloot 
PrioritynormalSeveritymajorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version104.0 +git 
Target VersionFixed in Version104.0 +git 
Summary0006269: 104.0.1-1329-g8b9c8ae maintenance A significant amount of desync
DescriptionI updated ZK to 104.0.1-1329-g8b9c8ae and players quickly noticed a significant amount of desync. I was not around at the time and so the engine was reverted after a few hours. The desync logs look like path cache issues. esainane reported that the maps of previous games would affect future games.

Here is a filter for the desync reports: https://github.com/ZeroK-RTS/CrashReports/issues?utf8=%E2%9C%93&q=is%3Aissue+is%3Aopen+Spring+Desync+%5B104.0.1-1329-g8b9c8ae%5D+

Here is a game where some people uploaded their replays: https://zero-k.info/Battles/Detail/753133
Additional Information<esainane> The most immediately obvious thing for what seemed wrong is that the mexes looked like they were taken from a previous map
<esainane> That is, they really weren't at the location they should have been in titanduel
<esainane> It looked like springrts wasn't reading in new mex spots when the map changed
<esainane> Restarting every game working around that would make sense
TagsNo tags attached.
Checked infolog.txt for lua ErrorsIrrelevant
Attached Files

-Relationships
+Relationships

-Notes
There are no notes attached to this issue.
+Notes

-Issue History
Date Modified Username Field Change
2019-08-01 17:10 Google_Frog New Issue
2019-08-02 23:52 Kloot Assigned To => Kloot
2019-08-02 23:52 Kloot Status new => assigned
2019-08-04 02:19 Kloot Status assigned => resolved
2019-08-04 02:19 Kloot Resolution open => fixed
2019-08-04 02:19 Kloot Fixed in Version => 104.0 +git
+Issue History